> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a mailbox



## OpenAPI

````yaml /api-reference/mobilerun-mailbox.yaml get /mailboxes/{mailboxId}
openapi: 3.1.0
info:
  title: Mobilerun Mailbox
  version: v1
servers:
  - description: Droidrun Cloud API
    url: https://api.mobilerun.ai/v1
security:
  - bearerAuth: []
paths:
  /mailboxes/{mailboxId}:
    get:
      tags:
        - Mailboxes
      summary: Get a mailbox
      operationId: getMailbox
      parameters:
        - in: path
          name: mailboxId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    $ref: '#/components/schemas/Mailbox'
                required:
                  - data
                type: object
          description: Mailbox retrieved
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: string
                required:
                  - error
                type: object
          description: Not Found
        '500':
          description: Internal Server Error
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Mobilerun from '@mobilerun/sdk';


            const client = new Mobilerun({
              apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
            });


            const mailbox = await
            client.mailboxes.retrieve('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');


            console.log(mailbox.data);
        - lang: Python
          source: |-
            import os
            from mobilerun_sdk import Mobilerun

            client = Mobilerun(
                api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"),  # This is the default and can be omitted
            )
            mailbox = client.mailboxes.retrieve(
                "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            )
            print(mailbox.data)
components:
  schemas:
    Mailbox:
      properties:
        address:
          example: mx_7k3q9p2m4v8d@inbox.example
          type:
            - string
            - 'null'
        billingMode:
          $ref: '#/components/schemas/MailboxBillingMode'
        cancelAtPeriodEnd:
          type: boolean
        checkoutExpiresAt:
          format: date-time
          type:
            - string
            - 'null'
        checkoutUrl:
          type:
            - string
            - 'null'
        createdAt:
          format: date-time
          type: string
        currentPeriodEnd:
          format: date-time
          type:
            - string
            - 'null'
        id:
          format: uuid
          type: string
        inboundMessages:
          $ref: '#/components/schemas/MailboxInboundMessagesUsage'
        label:
          maxLength: 100
          type:
            - string
            - 'null'
        status:
          $ref: '#/components/schemas/MailboxStatus'
      required:
        - id
        - address
        - label
        - status
        - billingMode
        - cancelAtPeriodEnd
        - checkoutUrl
        - checkoutExpiresAt
        - currentPeriodEnd
        - createdAt
        - inboundMessages
      type: object
    MailboxBillingMode:
      enum:
        - rent
        - included
      type: string
    MailboxInboundMessagesUsage:
      properties:
        exhausted:
          type: boolean
        included:
          minimum: 0
          type: integer
        resetsAt:
          format: date-time
          type:
            - string
            - 'null'
        used:
          minimum: 0
          type: integer
      required:
        - used
        - included
        - exhausted
        - resetsAt
      type: object
    MailboxStatus:
      enum:
        - provisioning
        - awaiting_payment
        - active
        - cancel_scheduled
        - archived
        - billing_error
      type: string
  securitySchemes:
    bearerAuth:
      bearerFormat: Opaque
      description: Bearer token via Authorization header
      scheme: bearer
      type: http

````